Show / Hide Table of Contents

# Class SeIconCharExtensions

Extension methods for SeIconChar.

##### Inheritance

System.Object
SeIconCharExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Text

###### Assembly: Dalamud.dll

##### Syntax

    public static class SeIconCharExtensions

### Methods

| Improve this Doc View Source

#### ToIconChar(SeIconChar)

Convert the SeIconChar to a System.Char type.

##### Declaration

    public static char ToIconChar(this SeIconChar icon)

##### Parameters

Type | Name | Description
--- | --- | ---
SeIconChar | icon | The icon to convert.

##### Returns

Type | Description
--- | ---
System.Char | The converted icon.

| Improve this Doc View Source

#### ToIconString(SeIconChar)

Conver the SeIconChar to a System.String type.

##### Declaration

    public static string ToIconString(this SeIconChar icon)

##### Parameters

Type | Name | Description
--- | --- | ---
SeIconChar | icon | The icon to convert.

##### Returns

Type | Description
--- | ---
System.String | The converted icon.